<?php
/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the html field for general tab.
 *
 * @link       https://makewebbetter.com/
 * @since      1.0.0
 *
 * @package    Woocommerce_Wallet_System
 * @subpackage Woocommerce_Wallet_System/admin/partials
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

?>

<div class="mwb-overview__wrapper">
	<div class="mwb-overview__content">
		<div class="mwb-overview__content-description">
			<h2><?php esc_html_e( 'What is WooCommerce Wallet System Plugin? ', 'woocommerce-wallet-system' ); ?></h2>
			<p>
				<?php
				esc_html_e(
					'WooCommerce Wallet System is a digital wallet plugin. It allows your registered customers to create a digital wallet on your WooCommerce store. Customers can purchase your products and services using the digital wallet amount. With this plugin, you can add or remove funds from customers’ wallets in bulk, view & download wallet transaction history, and send email notifications to customers.',
					'woocommerce-wallet-system'
				);
				?>
			</p>
			<h3><?php esc_html_e( 'With our WooCommerce Wallet System, You Can:', 'woocommerce-wallet-system' ); ?></h3>
			<ul class="mwb-overview__features">
				<li><?php esc_html_e( 'You can set the minimum/maximum top-up limit for customers.', 'woocommerce-wallet-system' ); ?></li>
				<li><?php esc_html_e( 'Let your customers make withdrawal requests by providing their details.', 'woocommerce-wallet-system' ); ?></li>
				<li><?php esc_html_e( 'Enable your customers to send Invites to their friends to join the Wallet System.', 'woocommerce-wallet-system' ); ?></li>
				<li><?php esc_html_e( 'Show customers their wallet amount in a widget.', 'woocommerce-wallet-system' ); ?></li>
				<li><?php esc_html_e( 'Allow customers to generate QR codes to receive payment from other wallet users.', 'woocommerce-wallet-system' ); ?></li>
				<li><?php esc_html_e( 'View and download the wallet transaction history.', 'woocommerce-wallet-system' ); ?></li>
				<li><?php esc_html_e( 'Supports the Elementor page builder.', 'woocommerce-wallet-system' ); ?></li>
			</ul>
		</div>
		<div class="mwb-overview__keywords">
			<div class="mwb-overview__keywords-item">
				<div class="mwb-overview__keywords-card">
					<div class="mwb-overview__keywords-image">
						<img src="<?php echo esc_html( WOOCOMMERCE_WALLET_SYSTEM_DIR_URL . 'admin/image/Maximum-Minimum-Wallet-Recharge-Limit.png' ); ?>" alt="Maximum Minimum Wallet Recharge Limit ">
					</div>
					<div class="mwb-overview__keywords-text">
						<h3 class="mwb-overview__keywords-heading"><?php esc_html_e( 'Maximum/Minimum Wallet Recharge Limit', 'woocommerce-wallet-system' ); ?></h3>
						<p class="mwb-overview__keywords-description">
							<?php
							esc_html_e(
								'You can set a maximum and minimum limit on wallet recharge. Your customers can top-up funds into their WooCommerce wallets within the allowed limit using the available payment method on your store.',
								'woocommerce-wallet-system'
							);
							?>
						</p>
					</div>
				</div>
			</div>
			<div class="mwb-overview__keywords-item">
				<div class="mwb-overview__keywords-card">
					<div class="mwb-overview__keywords-image">
						<img src="<?php echo esc_html( WOOCOMMERCE_WALLET_SYSTEM_DIR_URL . 'admin/image/Wallet-Amount-Widget.png' ); ?>" alt="Wallet Amount Widget">
					</div>
					<div class="mwb-overview__keywords-text">
						<h3 class="mwb-overview__keywords-heading"><?php esc_html_e( 'Wallet Amount Widget', 'woocommerce-wallet-system' ); ?></h3>
						<p class="mwb-overview__keywords-description"><?php esc_html_e( 'You can use a widget to show customers their wallet amount after they log into their WooCommerce account. It helps customers keep track of their wallet amount.', 'woocommerce-wallet-system' ); ?></p>
					</div>
				</div>
			</div>
			<div class="mwb-overview__keywords-item">
				<div class="mwb-overview__keywords-card">
					<div class="mwb-overview__keywords-image">
						<img src="<?php echo esc_html( WOOCOMMERCE_WALLET_SYSTEM_DIR_URL . 'admin/image/Wallet-User-Invite.png' ); ?>" alt="Wallet User Invite">
					</div>
					<div class="mwb-overview__keywords-text">
						<h3 class="mwb-overview__keywords-heading"><?php esc_html_e( 'Wallet User Invite', 'woocommerce-wallet-system' ); ?></h3>
						<p class="mwb-overview__keywords-description">
							<?php
							esc_html_e(
								'You can allow wallet users to invite their friends to join the WooCommerce Wallet System. It will increase the wallet user base and add more customers to your online store.',
								'woocommerce-wallet-system'
							);
							?>
						</p>
					</div>
				</div>
			</div>
			<div class="mwb-overview__keywords-item">
				<div class="mwb-overview__keywords-card">
					<div class="mwb-overview__keywords-image">
						<img src="<?php echo esc_html( WOOCOMMERCE_WALLET_SYSTEM_DIR_URL . 'admin/image/Wallet-Amount-Withdrawal.png' ); ?>" alt="Wallet Amount Withdrawal">
					</div>
					<div class="mwb-overview__keywords-text">
						<h3 class="mwb-overview__keywords-heading"><?php esc_html_e( 'Wallet Amount Withdrawal', 'woocommerce-wallet-system' ); ?></h3>
						<p class="mwb-overview__keywords-description">
							<?php
							esc_html_e(
								'Customers can withdraw their wallet amount into their bank account or any preferred payment apps. They have to file a withdrawal request and provide you their payment details.',
								'woocommerce-wallet-system'
							);
							?>
						</p>
					</div>
				</div>
			</div>
			<div class="mwb-overview__keywords-item">
				<div class="mwb-overview__keywords-card mwb-card-support">
					<div class="mwb-overview__keywords-image">
						<img src="<?php echo esc_html( WOOCOMMERCE_WALLET_SYSTEM_DIR_URL . 'admin/image/Generate-Wallet-QR-Codes.png' ); ?>" alt="Generate Wallet QR Codes">
					</div>
					<div class="mwb-overview__keywords-text">
						<h3 class="mwb-overview__keywords-heading"><?php esc_html_e( 'Generate Wallet QR Codes', 'woocommerce-wallet-system' ); ?></h3>
						<p class="mwb-overview__keywords-description">
							<?php
							esc_html_e(
								'Customers can generate QR codes for their wallets and accept recharge from other wallet users. It makes the wallet recharge process easier and more flexible.',
								'woocommerce-wallet-system'
							);
							?>
						</p>
					</div>
				</div>
			</div>
			<div class="mwb-overview__keywords-item">
				<div class="mwb-overview__keywords-card mwb-card-support">
					<div class="mwb-overview__keywords-image">
						<img src="<?php echo esc_html( WOOCOMMERCE_WALLET_SYSTEM_DIR_URL . 'admin/image/Download-the-Wallet-Transaction-History.png' ); ?>" alt="Download Wallet Transaction History">
					</div>
					<div class="mwb-overview__keywords-text">
						<h3 class="mwb-overview__keywords-heading"><?php esc_html_e( 'Download the Wallet Transaction History', 'woocommerce-wallet-system' ); ?></h3>
						<p class="mwb-overview__keywords-description">
							<?php
							esc_html_e(
								'You can view the wallet transactions of your customers in a tabular format and export the transaction history in an excel spreadsheet or CSV file.',
								'woocommerce-wallet-system'
							);
							?>
						</p>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
