<?php
/**
 * Fired during plugin activation
 *
 * @link       https://makewebbetter.com/
 * @since      1.0.0
 *
 * @package    Woocommerce_Wallet_System
 * @subpackage Woocommerce_Wallet_System/package/rest-api/version1
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
if ( ! class_exists( 'Woocommerce_Wallet_System_Api_Process' ) ) {

	/**
	 * The plugin API class.
	 *
	 * This is used to define the functions and data manipulation for custom endpoints.
	 *
	 * @since      1.0.0
	 * @package    Woocommerce_Wallet_System
	 * @subpackage Woocommerce_Wallet_System/package/rest-api/version1
	 * @author     WP Swings <webmaster@wpswings.com>
	 */
	class Woocommerce_Wallet_System_Api_Process {

		/**
		 * Initialize the class and set its properties.
		 *
		 * @since    1.0.0
		 */
		public function __construct() {

		}

		/**
		 * Define the function to process data for custom endpoint.
		 *
		 * @since    1.0.0
		 * @param   Array $wws_request  data of requesting headers and other information.
		 * @return  Array $mwb_wws_rest_response    returns processed data and status of operations.
		 */
		public function mwb_wws_default_process( $wws_request ) {
			$mwb_wws_rest_response = array();

			// Write your custom code here.

			$mwb_wws_rest_response['status'] = 200;
			$mwb_wws_rest_response['data'] = $wws_request->get_headers();
			return $mwb_wws_rest_response;
		}
	}
}
