(function( $ ) {
	'use strict';

	/**
	 * All of the code for your public-facing JavaScript source
	 * should reside in this file.
	 *
	 * Note: It has been assumed you will write jQuery code here, so the
	 * $ function reference has been prepared for usage within the scope
	 * of this function.
	 *
	 * This enables you to define handlers, for when the DOM is ready:
	 *
	 * $(function() {
	 *
	 * });
	 *
	 * When the window is loaded:
	 *
	 * $( window ).load(function() {
	 *
	 * });
	 *
	 * ...and/or other possibilities.
	 *
	 * Ideally, it is not considered best practise to attach more than a
	 * single DOM-ready or window-load handler for a particular page.
	 * Although scripts in the WordPress core, Plugins and Themes may be
	 * practising this, we should strive to set a better example in our own work.
	 */

	$(document).on( 'click','#mwb_generate_qr_code', function(){ 
		var user_id = $( '#mwb_generate_qr_code' ).data('user-id');
		$.ajax({
			type: 'POST',
			url: wws_public_param.ajaxurl,
			data: {
				action: 'mwb_generate_qr_code',
				user_id: user_id,

			},
			success: function( response ) {
				if ( response.type !== 'woocommerce-error' ) {
					location.reload();
				} else {
					$( '#mwb_generate_qr_code' ).after(response.message);
				}
			}

		}) .fail(function ( response ) {
			$( '#mwb_generate_qr_code' ).after('<span style="color:red;" >' + wws_public_param.wws_ajax_error + '</span>');		
		});
		
	});
	$(document).on( 'click','#mwb_wws_open_invitation_box', function(e){ 
		e.preventDefault(e);
		$( '#mwb_wws_show_inviatation_link_form' ).show();
	});

	$(document).on("click", "#close_wallet_form", function(e){
		$('#mwb_wws_show_inviatation_link_form').hide();
	});

	$(document).on( 'blur','#mwb_qr_wallet_transfer', function(){
		var action = $('#mwb_wallet_action').val();
		var amount = $(this).val();
		if ( action == 'Wallet Transfer' ) {
			var maxamount = $(this).data('transfer');
			maxamount = parseFloat(maxamount);
			if ( amount <= 0 ) {
				$('.error').show();
				$('.error').html(wws_public_param.wws_amount_error);
				$('#mwb_recharge_wallet').prop('disabled', true);
			} else if ( amount > maxamount ) {
				$('.error').show();
				$('.error').html(wws_public_param.wws_transfer_amount_error);
				$('#mwb_recharge_wallet').prop('disabled', true);
			} else {
				$('.error').hide();
				$('#mwb_recharge_wallet').prop('disabled', false);
			}
		} else if ( action == 'Wallet Recharge' ) {
			var minamount = $(this).data('min');
			var maxamount = $(this).data('max');
			minamount = parseFloat(minamount);
			maxamount = parseFloat(maxamount);
			if ( amount <= 0 ) {
				$('.error').show();
				$('.error').html(wws_public_param.wws_amount_error);
				$('#mwb_recharge_wallet').prop('disabled', true);
			} else if ( amount > maxamount ) {
				$('.error').show();
				$('.error').html(wws_public_param.wws_recharge_maxamount_error + maxamount);
				$('#mwb_recharge_wallet').prop('disabled', true);
			} else if ( amount < minamount) {
				$('.error').show();
				$('.error').html(wws_public_param.wws_recharge_minamount_error + minamount);
				$('#mwb_recharge_wallet').prop('disabled', true);
			} else {
				$('.error').hide();
				$('#mwb_recharge_wallet').prop('disabled', false);
			}
		} else {
			if ( amount <= 0 ) {
				$('.error').show();
				$('.error').html(wws_public_param.wws_amount_error);
				$('#mwb_recharge_wallet').prop('disabled', true);
			} else {
				$('.error').hide();
				$('#mwb_recharge_wallet').prop('disabled', false);
			}
		}
		
	});

	$(document).on( 'click','#mwb_wallet_action', function() {
			
		var action = $(this).val();
		if ( action == 'Wallet Transfer' ) {
			$('.mwb-wallet-field-login-error').show();
			var amount = $('#mwb_qr_wallet_transfer').val();
			var maxamount = $('#mwb_qr_wallet_transfer').data('transfer');
			maxamount = parseFloat(maxamount);
			if ( amount <= 0 ) {
				$('.error').show();
				$('.error').html(wws_public_param.wws_amount_error);
				$('#mwb_recharge_wallet').prop('disabled', true);
			} else if ( amount > maxamount ) {
				$('.error').show();
				$('.error').html(wws_public_param.wws_transfer_amount_error);
				$('#mwb_recharge_wallet').prop('disabled', true);
			} else {
				$('.error').hide();
				$('#mwb_recharge_wallet').prop('disabled', false);
			}
		} else {
			$('.mwb-wallet-field-login-error').hide();
			var amount = $('#mwb_qr_wallet_transfer').val();
			var minamount = $('#mwb_qr_wallet_transfer').data('min');
			var maxamount = $('#mwb_qr_wallet_transfer').data('max');
			minamount = parseFloat(minamount);
			maxamount = parseFloat(maxamount);
			if ( amount <= 0 ) {
				$('.error').show();
				$('.error').html(wws_public_param.wws_amount_error);
				$('#mwb_recharge_wallet').prop('disabled', true);
			} else if ( amount > maxamount ) {
				$('.error').show();
				$('.error').html(wws_public_param.wws_recharge_maxamount_error + maxamount);
				$('#mwb_recharge_wallet').prop('disabled', true);
			} else if ( amount < minamount) {
				$('.error').show();
				$('.error').html(wws_public_param.wws_recharge_minamount_error + minamount);
				$('#mwb_recharge_wallet').prop('disabled', true);
			} else {
				$('.error').hide();
				$('#mwb_recharge_wallet').prop('disabled', false);
			}
		}

	});

	$(document).on( 'click','#copyQRCode', function() {
		$('#copyQrCodeUrl').attr('type', 'text').select();
		document.execCommand('copy');
		$('#copyQrCodeUrl').attr('type', 'hidden');
		var tooltip = document.getElementById("myTooltip");
  		tooltip.innerHTML = wws_public_param.wws_copied_code;
	});

})( jQuery );
